Subject: Re: bug#17806: 24.4.50; Branch emacs-24 fails to beuild on Debian

From: Glenn Morris <[email-masked]>
Date: Sat, 21 Jun 2014 15:58:58 -0400

Dmitry Antipov wrote:

> Well, this is considered experimental and known for its controversial results
[...]
> After all, --enable-link-time-optimization is not enabled by default
> (and never should be), users aren't enforced to enable it - so I don't
> see a problem here; INSTALL may warn about potentially unstable
> results of using this option.

I do not feel that the Emacs's documentation reflects the above.
People have already suggested enabling this option by default:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13834

As it stands, I think people just see "optimization == better".